biterp

Buscar fornecedores por texto

GET
/suppliers/search
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.biterp.ai/suppliers/search"
[
  {
    "id": "string",
    "type": "string",
    "tax_id": "string",
    "tax_id_type": "CPF",
    "legal_name": "string",
    "trade_name": "string",
    "website": "string",
    "address_line1": "string",
    "address_line2": "string",
    "city": {
      "id": 0,
      "name": "string"
    },
    "state": {
      "id": 0,
      "state_code": "string",
      "name": "string"
    },
    "postal_code": "string",
    "country_code": "string",
    "reference_code": "string",
    "bank_code": "string",
    "branch_number": "string",
    "account_number": "string",
    "account_type": "string",
    "emails": [
      "string"
    ],
    "phones": [
      "string"
    ],
    "tags": [
      "string"
    ],
    "is_blocked": true,
    "metadata": {},
    "br_data": {
      "supplier_id": "3cb1e20c-c6c9-4e71-ba66-399c468f697c",
      "ie": "string",
      "ie_exempt": true,
      "im": "string",
      "suframa": "string",
      "tax_regime": "string",
      "cnae_primary": "string",
      "cnae_secondary": [
        "string"
      ],
      "nire": "string",
      "pix_key": "string",
      "pix_key_type": "string",
      "address_number": "string",
      "address_district": "string"
    },
    "us_data": {
      "supplier_id": "3cb1e20c-c6c9-4e71-ba66-399c468f697c",
      "w9_on_file": true,
      "w9_received_date": "2019-08-24",
      "naics_code": "string",
      "sic_code": "string",
      "tax_classification": "string",
      "sales_tax_exempt": true,
      "sales_tax_exempt_certificate": "string",
      "sales_tax_exempt_expiry": "2019-08-24",
      "resale_certificate": "string",
      "state_tax_id": "string",
      "state_of_incorporation": "string",
      "duns_number": "string",
      "cage_code": "string",
      "bank_name": "string",
      "routing_number": "string",
      "ach_authorized": true,
      "ach_authorization_date": "2019-08-24"
    },
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
]
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}